<?php
// Section: Typography for theme.
$wp_customize->add_panel( 'typography_option', array(
  'priority' => 60,
  'title' => __( 'Google Font Family', 'a-portfolio' ),
  'description' => __( 'Business Portfolio Plus Typography', 'a-portfolio' ),
));

// Typography for theme
$wp_customize->add_section('typography_theme_option' , array(
      'priority' => 50,
      'title' => __('Select Font for Theme','a-portfolio'),
      'panel' => 'typography_option'
  ));

// Setting Typography for theme.
$wp_customize->add_setting( 'google_fontfamily_setting', array(
          'capability'        => 'edit_theme_options',
          'default'           => 'monospace',
          'sanitize_callback' => 'sanitize_text_field'
          ) );

$wp_customize->add_control( 'google_fontfamily_setting', array(
          'settings'              => 'google_fontfamily_setting',
          'label'                 =>  __( 'Select Font Family', 'a-portfolio' ),
          'section'               => 'typography_theme_option',
          'type'                  => 'select',
          'choices'               => array(
                  'ABeeZee' => 'ABeeZee',
                  'Abel' => 'Abel',
                  'Abril Fatface' => 'Abril Fatface',
                  'Aclonica' => 'Aclonica',
                  'Averia Sans Libre' => 'Averia Sans Libre',
                  'Averia Serif Libre' => 'Averia Serif Libre',
                  'Buda' => 'Buda',
                  'Buenard' => 'Buenard',
                  'Butcherman' => 'Butcherman',
                  'Butterfly Kids' => 'Butterfly Kids',
                  'Cabin' => 'Cabin',
                  'Cabin Condensed' => 'Cabin Condensed',
                  'Crushed' => 'Crushed',
                  'Cuprum' => 'Cuprum',
                  'Cutive' => 'Cutive',
                  'Cutive Mono' => 'Cutive Mono',
                  'Droid Sans' => 'Droid Sans',
                  'Droid Sans Mono' => 'Droid Sans Mono',
                  'Droid Serif' => 'Droid Serif',
                  'Duru Sans' => 'Duru Sans',
                  'Dynalight' => 'Dynalight',
                  'EB Garamond' => 'EB Garamond',
                  'Exo' => 'Exo',
                  'Exo 2' => 'Exo 2',
                  'Expletus Sans' => 'Expletus Sans',
                  'Flavors' => 'Flavors',
                  'Fondamento' => 'Fondamento',
                  'Fontdiner Swanky' => 'Fontdiner Swanky',
                  'Freehand' => 'Freehand',
                  'Fresca' => 'Fresca',
                  'Frijole' => 'Frijole',
                  'Fruktur' => 'Fruktur',
                  'Fugaz One' => 'Fugaz One',
                  'Grand Hotel' => 'Grand Hotel',
                  'Gravitas One' => 'Gravitas One',
                  'Great Vibes' => 'Great Vibes',
                  'Griffy' => 'Griffy',
                  'Habibi' => 'Habibi',
                  'Hammersmith One' => 'Hammersmith One',
                  'Hanalei' => 'Hanalei',
                  'Hanalei Fill' => 'Hanalei Fill',
                  'Handlee' => 'Handlee',
                  'IM Fell DW Pica' => 'IM Fell DW Pica',
                  'IM Fell DW Pica SC' => 'IM Fell DW Pica SC',
                  'IM Fell Double Pica' => 'IM Fell Double Pica',
                  'Kite One' => 'Kite One',
                  'Knewave' => 'Knewave',
                  'Kotta One' => 'Kotta One',
                  'Koulen' => 'Koulen',
                  'Kranky' => 'Kranky',
                  'Kreon' => 'Kreon',
                  'Kristi' => 'Kristi',
                  'Krona One' => 'Krona One',
                  'La Belle Aurore' => 'La Belle Aurore',
                  'Lancelot' => 'Lancelot',
                  'Lato' => 'Lato',
                  'League Script' => 'League Script',
                  'Macondo' => 'Macondo',
                  'Macondo Swash Caps' => 'Macondo Swash Caps',
                  'Magra' => 'Magra',
                  'Maiden Orange' => 'Maiden Orange',
                  'Mako' => 'Mako',
                  'Mr De Haviland' => 'Mr De Haviland',
                  'Mrs Saint Delafield' => 'Mrs Saint Delafield',
                  'Mrs Sheppards' => 'Mrs Sheppards',
                  'monospace'     =>'Monospace',
                  'Muli' => 'Muli',
                  'Mystery Quest' => 'Mystery Quest',
                  'Nova Mono' => 'Nova Mono',
                  'Nova Oval' => 'Nova Oval',
                  'Nova Round' => 'Nova Round',
                  'Nova Script' => 'Nova Script',
                  'Nova Slim' => 'Nova Slim',
                  'Nova Square' => 'Nova Square',
                  'Numans' => 'Numans',
                  'Nunito' => 'Nunito',
                  'Ovo' => 'Ovo',
                  'Oxygen' => 'Oxygen',
                  'Oxygen Mono' => 'Oxygen Mono',
                  'PT Mono' => 'PT Mono',
                  'PT Sans' => 'PT Sans',
                  'PT Sans Caption' => 'PT Sans Caption',
                  'Purple Purse' => 'Purple Purse',
                  'Quintessential' => 'Quintessential',
                  'Qwigley' => 'Qwigley',
                  'Russo One' => 'Russo One',
                  'Ruthie' => 'Ruthie',
                  'Rye' => 'Rye',
                  'Roboto' => 'Roboto',
                  'Shadows Into Light' => 'Shadows Into Light',
                  'Supermercado One' => 'Supermercado One',
                  'Suwannaphum' => 'Suwannaphum',
                  'Swanky and Moo Moo' => 'Swanky and Moo Moo',
                  'Syncopate' => 'Syncopate',
                  'Tangerine' => 'Tangerine',
                  'Taprom' => 'Taprom',
                  'Tauri' => 'Tauri',
                  'Telex' => 'Telex',
                  'Tenor Sans' => 'Tenor Sans',
                  'Ubuntu' => 'Ubuntu',
                  'Ubuntu Condensed' => 'Ubuntu Condensed',
                  'Ubuntu Mono' => 'Ubuntu Mono',
                  'Ultra' => 'Ultra',
                  'Uncial Antiqua' => 'Uncial Antiqua',
                  'Underdog' => 'Underdog',
                  'VT323' => 'VT323',
                  'Vampiro One' => 'Vampiro One',
                  'Varela' => 'Varela',
                  'Varela Round' => 'Varela Round',
                  'Waiting for the Sunrise' => 'Waiting for the Sunrise',
                  'Wallpoet' => 'Wallpoet',
                  'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
                  'Yesteryear' => 'Yesteryear',
                  'Zeyada' => 'Zeyada',
          ),
  ) );
?>